- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_prefix_list – CLI command to create/delete prefix-list

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to create or delete prefix list.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_name string / required |  | Prefix List Name.
pn_scope string | Choices: local fabric | scope of prefix-list.
state string | Choices: present ← absent | State the action to perform. Use `present` to create prefix-list and `absent` to delete prefix-list.

## Examples

    - name: Create prefix list
      pn_prefix_list:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_scope: "local"
        state: "present"

    - name: Delete prefix list
      pn_prefix_list:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        state: "absent"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the prefix-list command.
stdout list | always | set of responses from the prefix-list command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.